Bug 1729667 - snmpd must not listen on IPv6 socket on IPv4-only machine
Summary: snmpd must not listen on IPv6 socket on IPv4-only machine
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: net-snmp
Version: 30
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Josef Ridky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-13 09:58 UTC by Frantisek Hanzlik
Modified: 2020-05-26 16:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:08:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Frantisek Hanzlik 2019-07-13 09:58:44 UTC
Description of problem:
According to documentation, by default snmpd listens on UDP port 161 on all IPv4 interfaces. The same result should be using "udp:161" or "udp" as listening address. But all of these ways lead on the IPv4-only machine to flooding logs with messages as 
Jul 13 11:50:25 xx snmpd[19887]: ipaddress_linux: could not open /proc/net/if_inet6: No such file or directory
Jul 13 11:50:25 xx snmpd[19887]: ipaddress_linux: could not open /proc/net/if_inet6: No such file or directory

Version-Release number of selected component (if applicable):
net-snmp-5.8-10.fc30.x86_64

How reproducible:
Always - starting snmpd daemon on IPv4-only host start this problem.

Additional info:
Perhaps snmpd (maybe also snmptrapd) daemons should behave as their listening address specification tell (usual -4 / -6 cmdline switches are perhaps redundant here)

Comment 1 Ben Cotton 2020-04-30 21:34:29 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2020-05-26 16:08:27 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.